Prints plain text output of the test to a specified Writer.

author | Michiel Rook
version | $Id: 03b9f976a961a2688d51c9429087a98c31326f42 $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## __construct()

    __construct()

## getElapsedTime()

    getElapsedTime()

Inherited

inherited_from | \SimpleTestResultFormatter::getElapsedTime()

## getErrorCount()

    getErrorCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getErrorCount()

## Returns the extension used for this formatter

    getExtension() : string

### Returns

`string`the extension

## getFailureCount()

    getFailureCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getFailureCount()

## getPreferredOutfile()

    getPreferredOutfile()

## getRunCount()

    getRunCount()

Inherited

inherited_from | \SimpleTestResultFormatter::getRunCount()

## getTestName()

    getTestName()

Inherited

inherited_from | \SimpleTestResultFormatter::getTestName()

## paintCaseEnd()

    paintCaseEnd($test_name)

### Parameters

#### $test_name

## paintCaseStart()

    paintCaseStart($test_name)

### Parameters

#### $test_name

## paintError()

    paintError($message)

### Parameters

#### $message

## paintException()

    paintException($exception)

### Parameters

#### $exception

## paintFail()

    paintFail($message)

### Parameters

#### $message

## paintFormattedMessage()

    paintFormattedMessage($message)

### Parameters

#### $message

## paintGroupEnd()

    paintGroupEnd($test_name)

### Parameters

#### $test_name

## paintGroupStart()

    paintGroupStart($test_name, $size)

### Parameters

#### $test_name

#### $size

## paintMessage()

    paintMessage($message)

### Parameters

#### $message

## paintMethodEnd()

    paintMethodEnd($test_name)

### Parameters

#### $test_name

## paintMethodStart()

    paintMethodStart($test_name)

### Parameters

#### $test_name

## paintPass()

    paintPass($message)

### Parameters

#### $message

## paintSignal()

    paintSignal($type, $payload)

### Parameters

#### $type

#### $payload

## paintSkip()

    paintSkip($message)

### Parameters

#### $message

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

Inherited

inherited_from | \SimpleTestResultFormatter::setOutput()

### Parameters

#### $out

## Sets the project

    setProject(\Project $project)

Inherited

inherited_from | \SimpleTestResultFormatter::setProject()

### Parameters

#### $project

`\Project`

the project

## captureStart()

    captureStart()

## captureStop()

    captureStop()

### Properties

##

    $out

Inherited

inherited_from | \SimpleTestResultFormatter::$$out

##

    $project

Inherited

inherited_from | \SimpleTestResultFormatter::$$project

##

    $currentTest

Inherited

inherited_from | \SimpleTestResultFormatter::$$currentTest

##

    $errorCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$errorCount

##

    $failureCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$failureCount

##

    $logger : \XmlReporter

##

    $runCount

Inherited

inherited_from | \SimpleTestResultFormatter::$$runCount

##

    $timer

Inherited

inherited_from | \SimpleTestResultFormatter::$$timer

##

    $xmlData